Alembic: Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader Class Referenceabstract

Base Property Reader. More...

`#include <BasePropertyReader.h>`

Inheritance diagram for Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader:
[legend]
Collaboration diagram for Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader:
[legend]

## Public Member Functions
virtual | ~BasePropertyReader ()
virtual const PropertyHeader & | getHeader () const =0
const std::string & | getName () const
PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const MetaData & | getMetaData () const
const DataType & | getDataType () const
TimeSamplingPtr | getTimeSampling () const
virtual ObjectReaderPtr | getObject ()=0
virtual CompoundPropertyReaderPtr | getParent ()=0
virtual ScalarPropertyReaderPtr | asScalarPtr ()
virtual ArrayPropertyReaderPtr | asArrayPtr ()
virtual CompoundPropertyReaderPtr | asCompoundPtr ()

## Detailed Description

Base Property Reader.

## Constructor & Destructor Documentation

## ◆ ~BasePropertyReader()

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::~BasePropertyReader | ( |  | ) |
| virtual

Virtual destructor ...

## Member Function Documentation

## ◆ asArrayPtr()

ArrayPropertyReaderPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::asArrayPtr | ( |  | ) |
| virtual

Up-cast this base property to an ArrayProperty, if such an upcast is valid. This can be checked with the isArray() function. If the upcast is not valid, an empty pointer will be returned. This default implementation returns an empty pointer.

Reimplemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::AprImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::AprImpl.

## ◆ asCompoundPtr()

CompoundPropertyReaderPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::asCompoundPtr | ( |  | ) |
| virtual

Up-cast this base property to a CompoundProperty, if such an upcast is valid. This can be checked with the isCompound() function. If the upcast is not valid, an empty pointer will be returned. This default implementation returns an empty pointer.

Reimplemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CprImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CprImpl.

## ◆ asScalarPtr()

ScalarPropertyReaderPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::asScalarPtr | ( |  | ) |
| virtual

Up-cast this base property to a ScalarProperty, if such an upcast is valid. This can be checked with the isScalar() function. If the upcast is not valid, an empty pointer will be returned. This default implementation returns an empty pointer.

Reimplemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SprImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SprImpl.

## ◆ getDataType()

const DataType & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::getDataType | ( |  | ) | const
| inline

Non-compound properties have a DataType. It is an error to call this function for CompoundProperties, and an exception will be thrown. This is a convenience function which just returns the DataType from the header that was used in creation.

## ◆ getHeader()

virtual const PropertyHeader & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::getHeader | ( |  | ) | const
| pure virtual

Properties are created with a collection of metadata that is stored in a lightweight structure called PropertyHeader. This returns a constant reference to the PropertyHeader which was given upon creation.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CprImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl, Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::AprImpl, Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CprImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SprImpl.

## ◆ getMetaData()

const MetaData & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::getMetaData | ( |  | ) | const
| inline

All properties have MetaData. This just returns the MetaData portion of the header that was used in creation.

## ◆ getName()

const std::string & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::getName | ( |  | ) | const
| inline

All properties have a name, which is unique amongst its siblings in the compund property they all live in. This is the name that was given when the property was created, and is part of the property header.

## ◆ getObject()

virtual ObjectReaderPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::getObject | ( |  | ) |
| pure virtual

All properties have an object that owns them, and in order to ensure the object stays alive as long as the properties do, they retain a shared pointer to their object.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CprImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl, Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::AprImpl, Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CprImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SprImpl.

## ◆ getParent()

virtual CompoundPropertyReaderPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::getParent | ( |  | ) |
| pure virtual

Most properties live in a compound property. (Except for the top-compound property in any object) This returns a pointer to the parent compound property.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CprImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl, Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::AprImpl, Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CprImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SprImpl.

## ◆ getPropertyType()

PropertyType Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::getPropertyType | ( |  | ) | const
| inline

There are three types of abstract properties. They are Scalar, Array, and Compound properties. This function returns an enum PropertyType which indicates which property type is returned. This is simply a convenience function which returns data from the PropertyHeader.

## ◆ getTimeSampling()

TimeSamplingPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::getTimeSampling | ( |  | ) | const
| inline

Non-compound properties have a TimeSampling. It is an error to call this function for CompoundProperties, and an exception will be thrown. This is a convenience function which just returns the TimeSampling from the header that was used in creation.

## ◆ isArray()

bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::isArray | ( |  | ) | const
| inline

Convenience to return whether the property is array. Same as getPropertyType() == kArrayProperty

## ◆ isCompound()

bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::isCompound | ( |  | ) | const
| inline

Convenience to return whether the property is compound. Same as getPropertyType() == kCompoundProperty

## ◆ isScalar()

bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::isScalar | ( |  | ) | const
| inline

Convenience to return whether the property is scalar. Same as getPropertyType() == kScalarProperty

## ◆ isSimple()

bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader::isSimple | ( |  | ) | const
| inline

Convenience to return whether the property is simple (non-compound) Same as getPropertyType() != kCompoundProperty

The documentation for this class was generated from the following files:

- AbcCoreAbstract/BasePropertyReader.h
- AbcCoreAbstract/BasePropertyReader.cpp